Description

ok here's an idea of mine for an a bit more realistic look
i hope i can get the idea acroos well in english

as an example for the "problem" in the first level after
going through teh first door turn either left or right
90degrees, walk forward into the corner and turn to the
2 enemies

you'll see a part of the room (in duke3d it's called

a "sector" i think, don't know about doom) that is
brighter than the rest, matching the light source on top
when the oponents walk in/out this "sector" they
instandly turn brighter/darker

to sum the 2 problems up:

1. a rectangle with sharp edges is not how light form a
source hitting a surface looks like

2. the instand change of brightnes of objects looks
wrong

my ideas to solve it:

1. when you have a border that has the same texture on
both sides but with different brightness, then render the
border softer, making a little fade between the 2
brightnisses

2. when an object moves from a sector to another and
changes bightness because of that let the change take
some time, depending on it's speed, like half a second
for a running enemy

i hope that can be added :)

Labels: Graphics

Related issues:
Related to Feature #2197: Remove the 'Bias' volumetric lighting system and th... Closed 2017-02-06

History

#1 - 2012-08-28 18:13 - danij

The lightgrid (which is part of the new bias lighting model) has been implemented to do the "soft sector edges" stuff. However, it is not yet complete
and must be enabled via the console ("rend-bias 1", "rend-bias-grid 1").

#2 - 2013-10-21 17:06 - skyjake

- Tags set to Lights, Renderer

- Subject changed from soft sector edges and less instant brightness-changes to Soft edges for sector lighting
- Category set to Redesign

- Status changed from New to In Progress

- % Done changed from 0 to 50

#3 - 2016-07-05 23:54 - skyjake
- Status changed from In Progress to Progressed

#4 - 2017-02-06 14:14 - skyjake
- Related to Feature #2197: Remove the ‘Bias' volumetric lighting system and the Bias light source editor ("bledit") added

#5 - 2019-11-29 16:29 - skyjake

- Status changed from Progressed to Rejected
